{
    onStart(pokemon) {
        if (this.suppressingAbility(pokemon))
            return;
        this.add("-ability", pokemon, "Beads of Ruin");
    },
    onAnyModifySpD(spd, target, source, move) {
        const abilityHolder = this.effectState.target;
        if (target.hasAbility("Beads of Ruin"))
            return;
        if (!move.ruinedSpD?.hasAbility("Beads of Ruin"))
            move.ruinedSpD = abilityHolder;
        if (move.ruinedSpD !== abilityHolder)
            return;
        this.debug("Beads of Ruin SpD drop");
        return this.chainModify(0.80);
    },
    flags: {},
    name: "Beads of Ruin",
    rating: 4.5,
    num: 284
}
